Bug 196508 - Improve document content of BaseDocument
Improve document content of BaseDocument
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
7.0
PC Linux
: P2 (vote)
: 7.1
Assigned To: Miloslav Metelka
issues@editor
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 15:34 UTC by Miloslav Metelka
Modified: 2011-08-26 14:41 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2011-03-09 15:34:39 UTC
1. Simplify handling of mark vector by implementing backward-bias positions over standard positions.
2. Implement positions sharing for positions not affected by text removal.
Comment 1 Miloslav Metelka 2011-08-24 15:11:26 UTC
Implemented.
http://hg.netbeans.org/jet-main/rev/ad886f765459
Comment 2 Miloslav Metelka 2011-08-24 22:38:16 UTC
Fixed failing test (some more fixing necessary).
http://hg.netbeans.org/jet-main/rev/4d839bfae10c
Comment 3 Miloslav Metelka 2011-08-25 06:13:55 UTC
It should be fixed now.
http://hg.netbeans.org/jet-main/rev/2f5ae3556906
Comment 4 Miloslav Metelka 2011-08-25 09:15:33 UTC
One more fix of bad text copy.
http://hg.netbeans.org/jet-main/rev/edb94a345799
Comment 5 Jan Lahoda 2011-08-25 09:21:52 UTC
http://hg.netbeans.org/jet-main/rev/e0ed8e890089
Comment 6 Miloslav Metelka 2011-08-25 09:38:33 UTC
Thanks, Honza. I think I'll rather make no more commits today ;-)
Comment 7 Quality Engineering 2011-08-26 14:41:36 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/ad886f765459
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #196508 - Improve document content of BaseDocument.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo